/*  ==========================
 *  Semestrln prce z Y36SPS
 *  SNMP Interfaces enumerator
 *  Petr Kouteck
 *  ==========================
 */



using System;
using System.Collections.Generic;
using System.Text;
using System.IO;

namespace SNMP3
{
    class Program
    {
        static void Main(string[] args)
        {
            Console.WindowWidth = Console.LargestWindowWidth - 6; //sirka okna konzole

            if (args.Length > 0 && args.Length < 6)
            {
                Console.WriteLine("=====================================================");
                Console.WriteLine("=                                                   =");
                Console.WriteLine("=            SNMP Interfaces Enumerator             =");
                Console.WriteLine("=                                                   =");
                Console.WriteLine("=====================================================");
                Console.WriteLine();

                if (!File.Exists(args[0]))
                //soubor se seznamem hostu neexistuje
                {
                    Console.WriteLine("Soubor " + args[0] + " neexistuje!");
                    return;
                }

                int timeout = 2000;// default timeout
                string cs = "public"; //default comunity string

                for (int i = 1; i < args.Length; i++)
                {
                    if (args[i] == "-c")
                        cs = args[i + 1];
                    else if (args[i] == "-t")
                        timeout = int.Parse(args[i + 1]);
                }

                //projdu vsechny hosty
                SNMPInfo.enumInterfaces(args[0], cs, timeout);
            }
            else
                //vypu nvod k pouit
                Console.WriteLine("Pouit:\n\tSNMP3.exe file [-c cs] [-t timeout]\n\n\t\tfile - soubor se seznam host ve form IP adres, na kadm dku 1 adresa\n\t\tcs - comunity string, vchoz=public\n\t\ttimeout - timeout spojen v ms, vchoz=2000");

            //ukonen stiskem libovoln klvesy
            Console.ReadKey();
        }
    }
}
